Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
GimpShop
View unanswered posts
View posts from last 24 hours

Goto page Previous  1, 2, 3, 4, 5, 6, 7, 8  Next  
Reply to topic    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
R!tman
Veteran
Veteran


Joined: 18 Dec 2003
Posts: 1303
Location: Zurich, Switzerland

PostPosted: Fri Sep 16, 2005 8:07 pm    Post subject: Reply with quote

meow wrote:
bump. pls release a official ebuild for gimpshop! thanks.

Yes, there should be an official. But before that happens, I will provide a fresh ebuild of the latest version, 2.2.8.

I will try to do an idiot proof explanation how it should work for all people, even unexperienced. That doesn't mean your an idiot if you don't manage ;-). Just ask if you have problems.

Do the following as root:
Code:
mkdir -p /usr/local/portage/media-gfx/gimp/files
cd /usr/local/portage/media-gfx/gimp/
wget http://n.ethz.ch/student/homartin/download/gimpshop/gimp-2.2.8-r1.ebuild
cd files
wget http://n.ethz.ch/student/homartin/download/gimpshop/gimp-2.2.8-configure-fix.patch
wget http://n.ethz.ch/student/homartin/download/gimpshop/gimp-2.2.8-restart-marker.patch
wget http://n.ethz.ch/student/homartin/download/gimpshop/gimpshop-2.2.8.patch
wget http://n.ethz.ch/student/homartin/download/gimpshop/ltmain_sh-1.5.0-fix-relink.patch
ebuild ../gimp-2.2.8-r1.ebuild digest
mkdir /etc/portage
echo media-gfx/gimp gimpshop >> /etc/portage/package.use
emerge gimp
Back to top
View user's profile Send private message
brian33x51
Tux's lil' helper
Tux's lil' helper


Joined: 16 Jun 2002
Posts: 118

PostPosted: Mon Sep 26, 2005 9:06 pm    Post subject: Reply with quote

R!tman wrote:
meow wrote:
bump. pls release a official ebuild for gimpshop! thanks.

Yes, there should be an official. But before that happens, I will provide a fresh ebuild of the latest version, 2.2.8.

I will try to do an idiot proof explanation how it should work for all people, even unexperienced. That doesn't mean your an idiot if you don't manage ;-). Just ask if you have problems.

Do the following as root:
Code:
mkdir -p /usr/local/portage/media-gfx/gimp/files
cd /usr/local/portage/media-gfx/gimp/
wget http://n.ethz.ch/student/homartin/download/gimpshop/gimp-2.2.8-r1.ebuild
cd files
wget http://n.ethz.ch/student/homartin/download/gimpshop/gimp-2.2.8-configure-fix.patch
wget http://n.ethz.ch/student/homartin/download/gimpshop/gimp-2.2.8-restart-marker.patch
wget http://n.ethz.ch/student/homartin/download/gimpshop/gimpshop-2.2.8.patch
wget http://n.ethz.ch/student/homartin/download/gimpshop/ltmain_sh-1.5.0-fix-relink.patch
ebuild ../gimp-2.2.8-r1.ebuild digest
mkdir /etc/portage
echo media-gfx/gimp gimpshop >> /etc/portage/package.use
emerge gimp


The patch "gimpshop-2.2.8.patch" is rejected outright.
Trying to apply it by hand it seems this is a "reverse" patch....all files fail.
Back to top
View user's profile Send private message
R!tman
Veteran
Veteran


Joined: 18 Dec 2003
Posts: 1303
Location: Zurich, Switzerland

PostPosted: Thu Sep 29, 2005 5:10 am    Post subject: Reply with quote

brian33x51 wrote:
The patch "gimpshop-2.2.8.patch" is rejected outright.
Trying to apply it by hand it seems this is a "reverse" patch....all files fail.

Sorry to hear that. But as it works for me (on three computers) and for at least one other guy who private messaged me, I guess the problem is related to something else.

You could post error messages...
Back to top
View user's profile Send private message
Redeeman
l33t
l33t


Joined: 25 Sep 2003
Posts: 957
Location: Denmark

PostPosted: Sun Oct 02, 2005 6:54 am    Post subject: Reply with quote

Lokheed wrote:
W3BMAST3R101 wrote:
Lokheed wrote:
And what would the Linux community say if a proprietary developer copied a Linux program to a tee?


Ever heard of CherryOS or IMBlaze?


Nope. Are people happy about it?

Besides making a watch look like a rolex doesnt make it a rolex. It makes it a cheap knock off. GIMP is far inferior to PSD and simply making it "look" like it doesnt bring it any closer to functioning just as well. Its a stupid idea and a waste of time unless you are actually going to code GIMP to function identically...

it isnt. gimp is much easier to use
_________________
Sandberg Enterprises
Back to top
View user's profile Send private message
gwolf
Guru
Guru


Joined: 05 May 2005
Posts: 374
Location: Estonia

PostPosted: Mon Oct 03, 2005 11:48 am    Post subject: Reply with quote

R!tman wrote:
brian33x51 wrote:
The patch "gimpshop-2.2.8.patch" is rejected outright.
Trying to apply it by hand it seems this is a "reverse" patch....all files fail.

Sorry to hear that. But as it works for me (on three computers) and for at least one other guy who private messaged me, I guess the problem is related to something else.

You could post error messages...


Works here as well. Thanks for the ebuild and good luck in making the official build :)
_________________
War is peace. Freedom is slavery. Ketchup is a vegetable.
Back to top
View user's profile Send private message
W3BMAST3R101
Apprentice
Apprentice


Joined: 19 Jun 2004
Posts: 198
Location: Oregon, USA

PostPosted: Sun Oct 09, 2005 4:10 pm    Post subject: Reply with quote

Will any of the devs ever look into moving this into portage? Or would that cause an outrage in the community to have that choice?

the w3b
Back to top
View user's profile Send private message
IhatemyISP
n00b
n00b


Joined: 23 Aug 2004
Posts: 14
Location: US Navy - Yokosuka, Japan

PostPosted: Wed Oct 19, 2005 1:34 am    Post subject: Reply with quote

brian33x51 wrote:
The patch "gimpshop-2.2.8.patch" is rejected outright.
Trying to apply it by hand it seems this is a "reverse" patch....all files fail.
Works perfectly here...
Back to top
View user's profile Send private message
alienjon
Veteran
Veteran


Joined: 09 Feb 2005
Posts: 1530

PostPosted: Thu Oct 27, 2005 3:35 am    Post subject: Reply with quote

I had to go to the site. For some reason the links weren't exactly what was written down in the step-by-step which I had followed. If it doesn't work for you, try removing the file name and browsing through the site itself. I was able to find the working links that way :)
Back to top
View user's profile Send private message
R!tman
Veteran
Veteran


Joined: 18 Dec 2003
Posts: 1303
Location: Zurich, Switzerland

PostPosted: Thu Oct 27, 2005 6:45 am    Post subject: Reply with quote

alienjon wrote:
I had to go to the site. For some reason the links weren't exactly what was written down in the step-by-step which I had followed. If it doesn't work for you, try removing the file name and browsing through the site itself. I was able to find the working links that way :)

I changed the links so that the gimpshop stuff is in its own directory. Those of you who still used the old step-by-step guide will have wrong links. This should be the latest and correct one.
Back to top
View user's profile Send private message
thoffmeyer
Apprentice
Apprentice


Joined: 11 Apr 2004
Posts: 208
Location: GMT -5 Hours

PostPosted: Sat Dec 17, 2005 8:45 pm    Post subject: Reply with quote

I love the gimpshop...
_________________
Conrad Guide, Current Maintainer

Join us on IRC
Server: irc.freenode.net
Channel: #conrad
Back to top
View user's profile Send private message
dekon
Tux's lil' helper
Tux's lil' helper


Joined: 21 Aug 2005
Posts: 80

PostPosted: Thu Dec 22, 2005 7:50 pm    Post subject: Reply with quote

R!tman wrote:

Do the following as root:
Code:
mkdir -p /usr/local/portage/media-gfx/gimp/files
cd /usr/local/portage/media-gfx/gimp/
wget http://n.ethz.ch/student/homartin/download/gimpshop/gimp-2.2.8-r1.ebuild
cd files
wget http://n.ethz.ch/student/homartin/download/gimpshop/gimp-2.2.8-configure-fix.patch
wget http://n.ethz.ch/student/homartin/download/gimpshop/gimp-2.2.8-restart-marker.patch
wget http://n.ethz.ch/student/homartin/download/gimpshop/gimpshop-2.2.8.patch
wget http://n.ethz.ch/student/homartin/download/gimpshop/ltmain_sh-1.5.0-fix-relink.patch
ebuild ../gimp-2.2.8-r1.ebuild digest
mkdir /etc/portage
echo media-gfx/gimp gimpshop >> /etc/portage/package.use
emerge gimp

I follow your instructions, but when i run gimp everithing looks as "old gimp" no gimpshop.

emerge -av gimp:
Code:

[ebuild  NS   ] gnome-extra/libgtkhtml-2.6.3  -accessibility -debug 382 kB
[ebuild   R   ] media-gfx/gimp-2.2.8-r1  -aalib (-altivec) -debug -doc -gimpprint +gimpshop +gtkhtml* -hardened +jpeg +lcms (-mmx) +mng +png +python -scanner -smp (-sse) -svg +tiff -wmf 0 kB [1]

Total size of downloads: 382 kB
Portage overlays:
 [1] /usr/local/portage

Do you want me to merge these packages? [Yes/No]

_________________
Sorry for my English,i am not good at in this :)
Back to top
View user's profile Send private message
Brother Blackshirt
n00b
n00b


Joined: 23 Dec 2005
Posts: 4
Location: Ontario, Canada

PostPosted: Sat Dec 31, 2005 2:01 am    Post subject: Reply with quote

Dekon, did you add the gimpshop use flag to your /etc/make.conf ?
Back to top
View user's profile Send private message
atrus123
Guru
Guru


Joined: 06 Jul 2005
Posts: 339
Location: Annapolis, MD

PostPosted: Fri Jan 06, 2006 1:36 am    Post subject: Reply with quote

dekon wrote:
R!tman wrote:

Do the following as root:
Code:
mkdir -p /usr/local/portage/media-gfx/gimp/files
cd /usr/local/portage/media-gfx/gimp/
wget http://n.ethz.ch/student/homartin/download/gimpshop/gimp-2.2.8-r1.ebuild
cd files
wget http://n.ethz.ch/student/homartin/download/gimpshop/gimp-2.2.8-configure-fix.patch
wget http://n.ethz.ch/student/homartin/download/gimpshop/gimp-2.2.8-restart-marker.patch
wget http://n.ethz.ch/student/homartin/download/gimpshop/gimpshop-2.2.8.patch
wget http://n.ethz.ch/student/homartin/download/gimpshop/ltmain_sh-1.5.0-fix-relink.patch
ebuild ../gimp-2.2.8-r1.ebuild digest
mkdir /etc/portage
echo media-gfx/gimp gimpshop >> /etc/portage/package.use
emerge gimp

I follow your instructions, but when i run gimp everithing looks as "old gimp" no gimpshop.

emerge -av gimp:
Code:

[ebuild  NS   ] gnome-extra/libgtkhtml-2.6.3  -accessibility -debug 382 kB
[ebuild   R   ] media-gfx/gimp-2.2.8-r1  -aalib (-altivec) -debug -doc -gimpprint +gimpshop +gtkhtml* -hardened +jpeg +lcms (-mmx) +mng +png +python -scanner -smp (-sse) -svg +tiff -wmf 0 kB [1]

Total size of downloads: 382 kB
Portage overlays:
 [1] /usr/local/portage

Do you want me to merge these packages? [Yes/No]


I'm having the same exact problem. My emerge -av gimp is almost identical (+gimpshop enabled).

J.
_________________
"I cannot support a movement that exploded spending and borrowing and blames its successor for the debt."
-Andrew Sullivan
Back to top
View user's profile Send private message
Tarch
n00b
n00b


Joined: 27 Apr 2005
Posts: 42

PostPosted: Mon Jan 09, 2006 10:37 pm    Post subject: Reply with quote

Same probem here =(

Bye! =)
Back to top
View user's profile Send private message
Clapper
Apprentice
Apprentice


Joined: 29 Sep 2003
Posts: 177

PostPosted: Tue Jan 17, 2006 8:22 pm    Post subject: Reply with quote

I have had gimpshop up and working fine, thanks to help on these threads. Recently, trying to update my system, my emerge is stopp ing with:

Code:

workstation gimp # emerge -pv gimp

These are the packages that I would merge, in order:

Calculating dependencies -
emerge: there are no ebuilds to satisfy "=gnome-extra/libgtkhtml-2*".
(dependency required by "media-gfx/gimp-2.2.8-r1" [ebuild])



This is probably something simple to fix. I don't think a "=gnome-extra/libgtkhtml-2*"
dependency even exists in portage anymore, from what I have been told. Can anyone
tell me what I can do to fix? Is the gimp-2.2.8-r1.ebuild overlay I downloaded have
something which is now broken as far as portage is concerned?
Back to top
View user's profile Send private message
Clapper
Apprentice
Apprentice


Joined: 29 Sep 2003
Posts: 177

PostPosted: Tue Jan 17, 2006 8:38 pm    Post subject: Reply with quote

I think I answered my own question. This thread:

http://forums.gentoo.org/viewtopic-t-424011-highlight-libgtkhtml.html

says that libgtkhtml has been renamed gtkhtml.

I edited the ebuild, and things seem to be compiling ok now, without error....






Clapper wrote:
I have had gimpshop up and working fine, thanks to help on these threads. Recently, trying to update my system, my emerge is stopp ing with:

Code:

workstation gimp # emerge -pv gimp

These are the packages that I would merge, in order:

Calculating dependencies -
emerge: there are no ebuilds to satisfy "=gnome-extra/libgtkhtml-2*".
(dependency required by "media-gfx/gimp-2.2.8-r1" [ebuild])



This is probably something simple to fix. I don't think a "=gnome-extra/libgtkhtml-2*"
dependency even exists in portage anymore, from what I have been told. Can anyone
tell me what I can do to fix? Is the gimp-2.2.8-r1.ebuild overlay I downloaded have
something which is now broken as far as portage is concerned?
Back to top
View user's profile Send private message
Clapper
Apprentice
Apprentice


Joined: 29 Sep 2003
Posts: 177

PostPosted: Tue Jan 17, 2006 9:43 pm    Post subject: Reply with quote

Arg! I altered the ebuild file, to reflect gtkhtml, rather than libgtkhtml, and now I get this:

Quote:

workstation gimp # emerge gimp
Calculating dependencies ...done!
>>> emerge (1 of 1) media-gfx/gimp-2.2.8-r1 to /

!!! Digest verification Failed:
!!! /usr/local/portage/media-gfx/gimp/gimp-2.2.8-r1.ebuild
!!! Reason: Filesize does not match recorded size

>>> Please ensure you have sync'd properly. Please try 'emerge sync' and
>>> optionally examine the file(s) for corruption. A sync will fix most cases.



Any ideas?






Clapper wrote:
I think I answered my own question. This thread:

http://forums.gentoo.org/viewtopic-t-424011-highlight-libgtkhtml.html

says that libgtkhtml has been renamed gtkhtml.

I edited the ebuild, and things seem to be compiling ok now, without error....






Clapper wrote:
I have had gimpshop up and working fine, thanks to help on these threads. Recently, trying to update my system, my emerge is stopp ing with:

Code:

workstation gimp # emerge -pv gimp

These are the packages that I would merge, in order:

Calculating dependencies -
emerge: there are no ebuilds to satisfy "=gnome-extra/libgtkhtml-2*".
(dependency required by "media-gfx/gimp-2.2.8-r1" [ebuild])



This is probably something simple to fix. I don't think a "=gnome-extra/libgtkhtml-2*"
dependency even exists in portage anymore, from what I have been told. Can anyone
tell me what I can do to fix? Is the gimp-2.2.8-r1.ebuild overlay I downloaded have
something which is now broken as far as portage is concerned?
Back to top
View user's profile Send private message
Vulcano23
n00b
n00b


Joined: 17 May 2004
Posts: 51

PostPosted: Thu Jan 19, 2006 1:54 am    Post subject: Reply with quote

Clapper wrote:
Arg! I altered the ebuild file, to reflect gtkhtml, rather than libgtkhtml, and now I get this:

Quote:

workstation gimp # emerge gimp
Calculating dependencies ...done!
>>> emerge (1 of 1) media-gfx/gimp-2.2.8-r1 to /

!!! Digest verification Failed:
!!! /usr/local/portage/media-gfx/gimp/gimp-2.2.8-r1.ebuild
!!! Reason: Filesize does not match recorded size

>>> Please ensure you have sync'd properly. Please try 'emerge sync' and
>>> optionally examine the file(s) for corruption. A sync will fix most cases.



Any ideas?


Try:
Code:

# emerge gimp --digest


and see if that fixes it!
Back to top
View user's profile Send private message
Clapper
Apprentice
Apprentice


Joined: 29 Sep 2003
Posts: 177

PostPosted: Thu Jan 19, 2006 3:30 am    Post subject: Reply with quote

That worked! What did I just do?

:)








Vulcano23 wrote:
Clapper wrote:
Arg! I altered the ebuild file, to reflect gtkhtml, rather than libgtkhtml, and now I get this:

Quote:

workstation gimp # emerge gimp
Calculating dependencies ...done!
>>> emerge (1 of 1) media-gfx/gimp-2.2.8-r1 to /

!!! Digest verification Failed:
!!! /usr/local/portage/media-gfx/gimp/gimp-2.2.8-r1.ebuild
!!! Reason: Filesize does not match recorded size

>>> Please ensure you have sync'd properly. Please try 'emerge sync' and
>>> optionally examine the file(s) for corruption. A sync will fix most cases.



Any ideas?


Try:
Code:

# emerge gimp --digest


and see if that fixes it!
Back to top
View user's profile Send private message
Vulcano23
n00b
n00b


Joined: 17 May 2004
Posts: 51

PostPosted: Thu Jan 19, 2006 8:39 pm    Post subject: Reply with quote

Clapper wrote:
That worked! What did I just do?

:)


I just realize I might have given you the *bad* way of solving the problem. For each package, portage keeps track of the file sizes and other attribute by using a digest.
When you download a package during the emerge process, the system will see if the downloaded size matches the expected size. If they match, the emerge process continues, otherwise it will print an error message like the one you were receiving. By appending the --digest flag, you tell portage to recompute the digest using the newly downloaded file, thus overriding the security mechanism.

I think a proper procedure to follow in this situations would be to:

1) sync and try to emerge the package again: this could download a new, fixed digest for the package.
2) remove the package file from /usr/portage/distfiles and emerge again: the downloaded package might be corrupted so we can try to download it again.
3) Verify the downloaded file is correct and run emerge package --digest: since the digest in portage seems to not match a correct file we can force emerge to compute a new digest.

I will be glad to hear what others have to say about this.
Back to top
View user's profile Send private message
dekon
Tux's lil' helper
Tux's lil' helper


Joined: 21 Aug 2005
Posts: 80

PostPosted: Sat Jan 21, 2006 1:50 pm    Post subject: Reply with quote

Brother Blackshirt wrote:
Dekon, did you add the gimpshop use flag to your /etc/make.conf ?

i add gimsop use flag to /etc/portage/package.use:
Code:

media-gfx/gimp -gtkhtml -python gimpshop gimpprint

_________________
Sorry for my English,i am not good at in this :)
Back to top
View user's profile Send private message
metalshark
Apprentice
Apprentice


Joined: 07 Jan 2006
Posts: 197
Location: Bournemouth, England

PostPosted: Tue Feb 14, 2006 5:24 pm    Post subject: Gentoo Bugzilla Reply with quote

http://bugs.gentoo.org/show_bug.cgi?id=87553

Just added an ebuild for the latest version.
Back to top
View user's profile Send private message
Aries-Belgium
l33t
l33t


Joined: 08 Jul 2005
Posts: 730
Location: Willebroek, Belgium

PostPosted: Tue Feb 14, 2006 6:11 pm    Post subject: Re: Gentoo Bugzilla Reply with quote

metalshark wrote:
http://bugs.gentoo.org/show_bug.cgi?id=87553

Just added an ebuild for the latest version.

Okay, I just emerged this ebuild (yes, from my portage overlay). But when I run gimp or gimpshop I get the standard gimp windows ... :?
_________________
Ep2.nl | Developers Community


Last edited by Aries-Belgium on Tue Feb 14, 2006 6:12 pm; edited 1 time in total
Back to top
View user's profile Send private message
omp
Retired Dev
Retired Dev


Joined: 10 Sep 2005
Posts: 1018
Location: Glendale, California

PostPosted: Tue Feb 14, 2006 6:11 pm    Post subject: Re: Gentoo Bugzilla Reply with quote

metalshark wrote:
http://bugs.gentoo.org/show_bug.cgi?id=87553

Just added an ebuild for the latest version.
Thank you. I'll try it when I get home. IMO, The Gimp interface is inferior to that of Photoshop. :)
_________________
meow.
Back to top
View user's profile Send private message
Q-collective
Advocate
Advocate


Joined: 22 Mar 2004
Posts: 2056

PostPosted: Tue Feb 14, 2006 7:58 pm    Post subject: Re: Gentoo Bugzilla Reply with quote

omp wrote:
metalshark wrote:
http://bugs.gentoo.org/show_bug.cgi?id=87553

Just added an ebuild for the latest version.
Thank you. I'll try it when I get home. IMO, The Gimp interface is inferior to that of Photoshop. :)

Yeah, SDI sucks, too bad GimpShop doesn't solve that one (or do they now?)
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Unsupported Software All times are GMT
Goto page Previous  1, 2, 3, 4, 5, 6, 7, 8  Next
Page 5 of 8

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum